package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 30 09 13
 **/
public class OrdersDto implements Serializable {
    private Long id;

    /**
     * 一级市场订单ID
     */
    private Long levelOneOrderId;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品来源(国家)
     */
    private String goodsFrom;

    /**
     * 发货商电话
     */
    private String shipperPhone;

    /**
     * 发货商名称
     */
    private String shipperName;

    /**
     * 司机ID
     */
    private Long driverId;

    /**
     * 司机名称
     */
    private String driverName;

    /**
     * 司机电话
     */
    private String driverPhone;

    /**
     * 车型ID
     */
    private Long carId;

    /**
     * 车牌号
     */
    private String veNo;

    /**
     * 收货人名称
     */
    private String consigneeName;

    /**
     * 收货人电话号码
     */
    private String consigneePhone;

    /**
     * (预留字段) 申报订单号
     */
    private String declarationNumber;

    /**
     * 订单完成状态 (0=未完成,1=已完成)
     */
    private Integer orderFinish;

    /**
     * 装货地址
     */
    private String loadingAddress;

    /**
     * 卸货地址
     */
    private String unloadingAddress;

    /**
     * 备注
     */
    private String comment;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;


    /**
     * 更新人编号
     */
    private Long updateBy;
    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 创建人编号
     */
    private Long createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 贸易区域id
     */
    private Long tradeAreaId;

    /**
     * 贸易区域名称
     */
    private String tradeAreaName;

    /**
     * 买家ID
     */
    private Long purchaserId;

    /**
     * 买家名称
     */
    private String purchaserName;

    /**
     * 组长Id
     */
    private Long leaderId;

    /**
     * 二级收购商需求发布表的主键id
     */
    private Long fkGoodsDemandId;

    /**
     * 是否收货[0=未收货,1=已收货]
     */
    private Integer isDelivery;

    /**
     * 转售金额
     */
    private Double resalePrice;

    /**
     * 是否支付(0=未支付,1=已支付)
     */
    private Integer isPay;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 是否缴税缴费
     */
    private Integer payTax;

    /**
     * 缴税缴费时间
     */
    private Date payTaxTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getLevelOneOrderId() {
        return levelOneOrderId;
    }

    public void setLevelOneOrderId(Long levelOneOrderId) {
        this.levelOneOrderId = levelOneOrderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsFrom() {
        return goodsFrom;
    }

    public void setGoodsFrom(String goodsFrom) {
        this.goodsFrom = goodsFrom;
    }

    public String getShipperPhone() {
        return shipperPhone;
    }

    public void setShipperPhone(String shipperPhone) {
        this.shipperPhone = shipperPhone;
    }

    public String getShipperName() {
        return shipperName;
    }

    public void setShipperName(String shipperName) {
        this.shipperName = shipperName;
    }

    public Long getDriverId() {
        return driverId;
    }

    public void setDriverId(Long driverId) {
        this.driverId = driverId;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getDriverPhone() {
        return driverPhone;
    }

    public void setDriverPhone(String driverPhone) {
        this.driverPhone = driverPhone;
    }

    public Long getCarId() {
        return carId;
    }

    public void setCarId(Long carId) {
        this.carId = carId;
    }


    public String getConsigneeName() {
        return consigneeName;
    }

    public void setConsigneeName(String consigneeName) {
        this.consigneeName = consigneeName;
    }

    public String getConsigneePhone() {
        return consigneePhone;
    }

    public void setConsigneePhone(String consigneePhone) {
        this.consigneePhone = consigneePhone;
    }

    public String getDeclarationNumber() {
        return declarationNumber;
    }

    public void setDeclarationNumber(String declarationNumber) {
        this.declarationNumber = declarationNumber;
    }

    public Integer getOrderFinish() {
        return orderFinish;
    }

    public void setOrderFinish(Integer orderFinish) {
        this.orderFinish = orderFinish;
    }

    public String getLoadingAddress() {
        return loadingAddress;
    }

    public void setLoadingAddress(String loadingAddress) {
        this.loadingAddress = loadingAddress;
    }

    public String getUnloadingAddress() {
        return unloadingAddress;
    }

    public void setUnloadingAddress(String unloadingAddress) {
        this.unloadingAddress = unloadingAddress;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public Long getPurchaserId() {
        return purchaserId;
    }

    public void setPurchaserId(Long purchaserId) {
        this.purchaserId = purchaserId;
    }

    public String getPurchaserName() {
        return purchaserName;
    }

    public void setPurchaserName(String purchaserName) {
        this.purchaserName = purchaserName;
    }

    public Long getLeaderId() {
        return leaderId;
    }

    public void setLeaderId(Long leaderId) {
        this.leaderId = leaderId;
    }

    public Long getFkGoodsDemandId() {
        return fkGoodsDemandId;
    }

    public void setFkGoodsDemandId(Long fkGoodsDemandId) {
        this.fkGoodsDemandId = fkGoodsDemandId;
    }

    public Integer getIsDelivery() {
        return isDelivery;
    }

    public void setIsDelivery(Integer isDelivery) {
        this.isDelivery = isDelivery;
    }

    public Double getResalePrice() {
        return resalePrice;
    }

    public void setResalePrice(Double resalePrice) {
        this.resalePrice = resalePrice;
    }

    public Integer getIsPay() {
        return isPay;
    }

    public void setIsPay(Integer isPay) {
        this.isPay = isPay;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Integer getPayTax() {
        return payTax;
    }

    public void setPayTax(Integer payTax) {
        this.payTax = payTax;
    }

    public Date getPayTaxTime() {
        return payTaxTime;
    }

    public void setPayTaxTime(Date payTaxTime) {
        this.payTaxTime = payTaxTime;
    }

    public String getVeNo() {
        return veNo;
    }

    public void setVeNo(String veNo) {
        this.veNo = veNo;
    }

    public OrdersDto(Long id, Long levelOneOrderId, String orderNo, Long goodsId, String goodsName, String goodsFrom, String shipperPhone, String shipperName, Long driverId, String driverName, String driverPhone, Long carId, String veNo, String consigneeName, String consigneePhone, String declarationNumber, Integer orderFinish, String loadingAddress, String unloadingAddress, String comment, Date updateTime, Long updateBy, String updateName, Integer deleteStatus, Date createTime, Long createBy, String createName, Long tradeAreaId, String tradeAreaName, Long purchaserId, String purchaserName, Long leaderId, Long fkGoodsDemandId, Integer isDelivery, Double resalePrice, Integer isPay, Date payTime, Integer payTax, Date payTaxTime) {
        this.id = id;
        this.levelOneOrderId = levelOneOrderId;
        this.orderNo = orderNo;
        this.goodsId = goodsId;
        this.goodsName = goodsName;
        this.goodsFrom = goodsFrom;
        this.shipperPhone = shipperPhone;
        this.shipperName = shipperName;
        this.driverId = driverId;
        this.driverName = driverName;
        this.driverPhone = driverPhone;
        this.carId = carId;
        this.veNo = veNo;
        this.consigneeName = consigneeName;
        this.consigneePhone = consigneePhone;
        this.declarationNumber = declarationNumber;
        this.orderFinish = orderFinish;
        this.loadingAddress = loadingAddress;
        this.unloadingAddress = unloadingAddress;
        this.comment = comment;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.deleteStatus = deleteStatus;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.purchaserId = purchaserId;
        this.purchaserName = purchaserName;
        this.leaderId = leaderId;
        this.fkGoodsDemandId = fkGoodsDemandId;
        this.isDelivery = isDelivery;
        this.resalePrice = resalePrice;
        this.isPay = isPay;
        this.payTime = payTime;
        this.payTax = payTax;
        this.payTaxTime = payTaxTime;
    }

    public OrdersDto() {
    }
}
